# This package builds a header-only lib, but has some testsuite to check
# the headers' function.  For this reason the main-pkg is build arched and
# produces a noarched subpkg, only.  There is no binary-compiled bits and
# therefore no debuginfo generated.
%global debug_package %{nil}

Name:           uthash
Version:        2.1.0
Release:        %mkrel 1
Summary:        A hash table for C structures
Group:		Development/C
License:        BSD
URL:            http://troydhanson.github.io/uthash
Source0:        https://github.com/troydhanson/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Any C structure can be stored in a hash table using uthash. Just add a
UT_hash_handle to the structure and choose one or more fields in your 
structure to act as the key. Then use these macros to store, retrieve or 
delete items from the hash table. 

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
# This is a header only package.

%install
install -d %{buildroot}%{_includedir}
install -pm0644 src/*.h %{buildroot}%{_includedir}/

%check
%make_build -C tests/

%files devel
%doc LICENSE doc/*.txt
%{_includedir}/ut*.h



%changelog
* Mon Jul 20 2020 ovitters <ovitters> 2.1.0-1.mga8
+ Revision: 1607280
- new version 2.1.0

* Wed Feb 12 2020 umeabot <umeabot> 1.9.9-6.mga8
+ Revision: 1501226
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.9.9-5.mga7
+ Revision: 1276944
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 blino <blino> 1.9.9-3.mga6
+ Revision: 903946
- make the whole package noarch
+ tv <tv>
- rebuild b/c of bogus BS
- imported package uthash


* Wed Nov 18 2015 Thierry Vignaud <tv@mageia.org> 1.9.9-9.mga6
- import from FC
